%define name 	qmidiarp
%define version 0.0.2
%define release 1mdk

Summary: 	Simple, graphical MIDI arpeggiator
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://alsamodular.sourceforge.net/
License: 	GPL
Group: 		Sound
Source: 	%{name}-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	libalsa-devel qt3-devel

%description
QMidiArp can run several arpeggiators at the same time, both 
monophonically and with chords. It is based on user definable patterns 
where the indices 0..9 address the notes currently played on a keyboard.
Several other tokens define tempo, note length, velocity,...

%prep
%setup -q
perl -p -i -e "s/\-O2/$RPM_OPT_FLAGS/g" Makefile

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%name"\
title="QMidiArp"\
longtitle="MIDI Arpeggiator"\
needs="x11"\
icon="sound_section.png"\
section="Multimedia/Sound"
EOF
)

%post
%update_menus

%postun
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README *.qma
%_bindir/%name
%_menudir/%name

%changelog
* Mon Sep 20 2004 Austin Acton <austin@mandrake.org> 0.0.2-1mdk
- initial build
-
